#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int n,k,p,s=0;
    scanf("%d%d",&n,&k);
    int niz[2*n+1]={0};
    for(int i=0;i<n;i++)
    {
        scanf("%d",&p);
        niz[p+n]++;
        if(niz[p+n]%k==0)s++;
    }
    cout<<s<<endl;
    for(int a=0;a<2*n+1;a++)
    {
        if(niz[a]>=k)cout<<a-n<<" ";
    }
    return 0;
}